package net.sf.itcb.common.client.exceptions;

import net.sf.itcb.common.business.exceptions.ExceptionMappingErrors;

/**
 * All problems that can occurs in client side when we call a webservice
 * 
 * @author Pierre Le Roux
 */
public enum ClientItcbExceptionMappingErrors implements ExceptionMappingErrors{
	
	COMMON_CLIENT_NOT_CORRECT_INTERFACE ("The service interfaces must use only one parameter (Request) and must declare a return type (Response)"),
	COMMON_CLIENT_NOT_SET_SECUREMENT_PROVIDER ("Since you declare a SecurityInterceptor, you have to set the securementCredentialsProvider property"),
	COMMON_CLIENT_TECHNICAL_ERROR ("A technical error occured when the client have called the webservice");
	
	private String message;
	
	ClientItcbExceptionMappingErrors(String msg) {
		this.message=msg;
	}

	public String getMessage() {
		return message;
	}
	
	public String getMessageKey() {
		return this.toString();
	}

}
